Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
ioinfo Struct Reference

## Data Fields
intptr_t | osfhnd
char | osfile
char | pipech
int | lockinitflag
CRITICAL_SECTION | lock

## Detailed Description

Definition at line 2456 of file win32.c.

## Field Documentation

## ◆ lock

CRITICAL_SECTION ioinfo::lock

Definition at line 2461 of file win32.c.

## ◆ lockinitflag

int ioinfo::lockinitflag

Definition at line 2460 of file win32.c.

## ◆ osfhnd

intptr_t ioinfo::osfhnd

Definition at line 2457 of file win32.c.

## ◆ osfile

char ioinfo::osfile

Definition at line 2458 of file win32.c.

## ◆ pipech

char ioinfo::pipech

Definition at line 2459 of file win32.c.

The documentation for this struct was generated from the following file:

- win32/win32.c